{
  "name": "lib",
  "version": "0.0.1",
  "type": "module",
  "scripts": {
    "build": "yarn g:tsc -p tsconfig.build.json",
    "dev": "yarn g:tsc -p tsconfig.build.json --watch",
    "lint": "yarn g:lint .",
    "publish:lib": "node scripts/publish.js"
  },
  "dependencies": {
    "@coinweb/contract-kit": "0.2.5",
    "@coinweb/self-register": "0.1.3"
  },
  "files": [
    "dist"
  ],
  "exports": {
    "./offchain": {
      "types": "./dist/offchain/index.d.ts",
      "import": "./dist/offchain/index.js"
    },
    "./onchain": {
      "types": "./dist/onchain/index.d.ts",
      "import": "./dist/onchain/index.js"
    },
    "./shared": {
      "types": "./dist/shared/index.d.ts",
      "import": "./dist/shared/index.js"
    },
    "./history/offchain": {
      "types": "./dist/module/history/offchain/index.d.ts",
      "import": "./dist/module/history/offchain/index.js"
    },
    "./history/onchain": {
      "types": "./dist/module/history/onchain/index.d.ts",
      "import": "./dist/module/history/onchain/index.js"
    },
    "./history/shared": {
      "types": "./dist/module/history/shared/index.d.ts",
      "import": "./dist/module/history/shared/index.js"
    }
  }
}
